View Issue Details

IDProjectCategoryView StatusLast Update
0000351Far Manager 1.7xMacropublic2007-11-09 09:06
ReporterDrKnSAssigned Tovskirdin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86OSWindowsOS Version2008
Product Version1.71 
Target VersionFixed in Version1.71 
Summary0000351: ACTL_POSTKEYSEQUENCE: пауза при выполнении и лишняя перерисовка
DescriptionТестовый плагин (в аттаче) 50 раз посылет фару клавиши f11 и Esc, тем самым 50 раз открывая и закрывая меню плагинов.

Что ожидаем увидеть - а ничего, т. к. KSFLAGS_DISABLEOUTPUT.
На 2275 и ниже это и видим.

Что видим в 2281 и выше:
фар ждет событие в консоль, по приходу оного выполняет запрошенное (причем с перерисовкой), ждет событие в консоль снова, и т. д.

Как увидеть: вызываем плагин, жмем эникей много раз (или возим мышью над консолью), наблюдаем мелькающее меню плагинов.
TagsNo tags attached.
Build2287

Activities

2007-11-07 15:24

 

postkeyseq.rar (1,115 bytes)

vskirdin

2007-11-09 05:53

administrator   bugnote:0000745

после 2287

Issue History

Date Modified Username Field Change
2007-11-07 15:24 DrKnS New Issue
2007-11-07 15:24 DrKnS File Added: postkeyseq.rar
2007-11-08 13:59 vskirdin Status new => assigned
2007-11-08 13:59 vskirdin Assigned To => vskirdin
2007-11-08 14:35 vskirdin Note Added: 0000744
2007-11-08 14:35 vskirdin Category Plugins API => Macro
2007-11-09 05:53 vskirdin Note Added: 0000745
2007-11-09 05:53 vskirdin Status assigned => feedback
2007-11-09 06:11 DrKnS Status feedback => resolved
2007-11-09 06:11 DrKnS Resolution open => fixed
2007-11-09 09:06 vskirdin Build => 2287
2007-11-09 09:06 vskirdin Status resolved => closed
2007-11-09 09:06 vskirdin Fixed in Version => 1.71